Name: trustedqsl
Version: 1.13
Release: 1%{?dist}
Summary: TrustedQSL ham-radio applications
Group: Applications/Communications
License: BSD
URL: http://sourceforge.net/projects/trustedqsl/
Source: http://downloads.sourceforge.net/%{name}/TrustedQSL-%{version}.tar.gz
Patch0: TrustedQSL-1.11-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tqsllib >= 2.2
BuildRequires: tqsllib-devel >= 2.2, wxGTK-devel, zlib-devel
BuildRequires: expat-devel, desktop-file-utils

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

%prep
%setup -q -n TrustedQSL-%{version}
%patch0 -p1 -b .lib64

%build
#again detetction is broken for ssl and tqsl
export OPENSSL=/usr
export TQSLLIB=/usr
%configure --without-openssl --without-tqsllib
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp icons/key48.png %{buildroot}%{_datadir}/pixmaps/TrustedQSL.png
sed -i -e "s/.png//g" -e "s/Application;/Network;/g" -e "s/Utility;/GTK;/g" tqsl.desktop
sed -i -e "s/.png//g" -e "s/Application;/Network;/g" -e "s/Utility;/GTK;/g" tqslcert.desktop
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications tqsl.desktop
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications tqslcert.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE help/*

%{_bindir}/tqsl
%{_bindir}/tqslcert
%{_datadir}/TrustedQSL
%{_datadir}/applications/*tqsl*.desktop
%{_datadir}/pixmaps/TrustedQSL.png

%changelog
* Sun Nov 20 2011 cooly@gnome.eu.org - 1.13-1
- drop icon and gcc patch - fixed upstream
- new upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 1.11-7
- rebuilt against wxGTK-2.8.11-2

* Sun Oct 25 2009 Lucian Langa <cooly@gnome.eu.org> - 1.11-6
- fix desktop file (#530839)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Lucian Langa <cooly@gnome.eu.org> - 1.11-3
- fix unowned directories

* Fri Oct 10 2008 Lucian Langa <cooly@gnome.eu.org> - 1.11-2
- misc cleanups
- update buildrequires
- package missing docs

* Sun Jul 13 2008 Lucian Langa <lucilanga@gnome.org> - 1.11-1
- initial spec file for fedora

